package main

import (
	"fmt"
	"gitea.zjmud.xyz/phyer/tanya/okx" // 假设上述代码在 okx 包中
	"strconv"
	"time"
)

func main() {
	service := okx.NewOkxPublicDataService()

	// 获取交易对信息
	instruments, err := service.GetInstruments(okx.InstrumentsRequest{
		InstType: "SPOT",
	})
	if err != nil {
		fmt.Println("Error:", err)
		return
	}
	fmt.Println("Instruments:", instruments)

	// 获取K线数据
	//	// // 设置时间范围
	layout := "2006-01-02 15:04:05"
	startTime, _ := time.Parse(layout, "2023-01-01 00:00:00")
	endTime, _ := time.Parse(layout, "2023-12-31 23:59:59")
	candles, err := service.GetCandles(okx.CandlesRequest{
		InstID: "BTC-USDT",
		Bar:    "1D",
		Before: strconv.FormatInt(startTime.UnixMilli(), 10),
		After:  strconv.FormatInt(endTime.UnixMilli(), 10),
		Limit:  "50",
	})
	if err != nil {
		fmt.Println("Error:", err)
		return
	}
	fmt.Println("Candles:", candles)
	// 获取单个 ticker 数据
	ticker, err := service.GetTicker(okx.TickerRequest{
		InstID: "BTC-USDT",
	})
	if err != nil {
		fmt.Println("Error:", err)
		return
	}
	fmt.Printf("Ticker: %+v\n", ticker)
}
