package okx

// InstrumentsRequest 定义获取交易对信息的请求参数
type InstrumentsRequest struct {
	InstType string `url:"instType"`         // 必填：SPOT, SWAP, FUTURES, OPTION
	Uly      string `url:"uly,omitempty"`    // 可选：标的指数
	InstID   string `url:"instId,omitempty"` // 可选：具体交易对ID
}

// Instrument 定义交易对信息的返回结构
type Instrument struct {
	InstType string `json:"instType"`
	InstID   string `json:"instId"`
	Uly      string `json:"uly,omitempty"`
	BaseCcy  string `json:"baseCcy"`
	QuoteCcy string `json:"quoteCcy"`
	TickSz   string `json:"tickSz"`
	LotSz    string `json:"lotSz"`
	State    string `json:"state"`
	// 可根据需要添加更多字段
}
